Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.xsltextn
Class SaxonElementFactoryEE

    java.lang.Object
      com.saxonica.xsltextn.SaxonElementFactory
          com.saxonica.xsltextn.SaxonElementFactoryEE

All Implemented Interfaces:
  ExtensionElementFactory

    public class SaxonElementFactoryEE

extends SaxonElementFactory

A factory for Saxon-EE extension nodes in the stylesheet tree.

This class is temporary; it allows the new elements such as xsl:iterate and xsl:try introduced in 9.2 to continue to be used in the Saxon namespace, as provided in 9.1.

Constructor Summary
`SaxonElementFactoryEE()`

Method Summary
`Class` | `getExtensionClass(String localname)` Identify the class to be used for stylesheet elements with a given local name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaxonElementFactoryEE

    public SaxonElementFactoryEE()

Method Detail

### getExtensionClass

    public Class getExtensionClass(String localname)

  Identify the class to be used for stylesheet elements with a given local name. The returned class must extend net.sf.saxon.style.StyleElement

  Specified by:
    `getExtensionClass` in interface `ExtensionElementFactory`
  Overrides:
    `getExtensionClass` in class `SaxonElementFactory`
  Returns:
    null if the local name is not a recognised element type in this namespace.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.